//gsoap nf service name: ARCFlO
//gsoap nf service documentation: SIS
//gsoap nf service portType: ARCFlOPortType
//gsoap nf service namespace: http://www.nordugrid.org/ws/schemas/ARCFlO
//gsoap nf service method-documentation: notification Accept message from another service

struct nf__response {
  int error_code;
  int sub_error_code;
  char* error_description;
};

struct nf__object_response {
  int error_code;
  int sub_error_code;
  char* error_description;
  int __size_obj;
  char** obj;
};

// Accept message
int nf__notification(
  int __size_msg,
  char** msg,
  struct nf__response &r
);

// Accept registration
int nf__registration(
  char* url,
  char* id,
  char* filter,
  struct nf__response &r
);

// Store new object
int nf__add(
  int __size_obj,
  char** obj,
  struct nf__response &r
);

// Look for object (main function)
int nf__find(
  char* id,
  char* filter,
  struct nf__object_response &r
);

