/*
 * Created on Mar 21, 2006
 *
 * TODO Implement it, then write some documentation
 *
 */
package se.umu.jobsubmission.client;


import java.io.StringReader; 
import org.apache.axis.message.addressing.EndpointReferenceType; 
import org.globus.wsrf.encoding.ObjectDeserializer;
import org.xml.sax.InputSource;

import org.globus.exec.generated.ManagedJobPortType;
import org.globus.exec.utils.client.ManagedJobClientHelper;

import org.oasis.wsrf.lifetime.Destroy;
import org.apache.log4j.Logger; 

import org.ggf.schemas.jsdl._2005._11.jsdl.JobDefinition_Type;

/**
 * @author tordsson
 *
 * TODO Add a proper description of this class. 
 */
public class GT4ClientJobStaging implements ClientJobStaging {

	private static Logger logger = Logger.getLogger(GT4ClientJobStaging.class); 

	
	/**
	 * We can not use file path as base directory for staging in GT4 
	 * as all inputfiles have their own complete filepath. 
	 * Return "" to indicate that base path is not applicable...
	 */
	public String getJobDirectory(String jobId, JobDefinition_Type jobDesc) 
	throws Exception {
		System.out.println("Getting job directory (GT4)"); 
		
		try { 
			StringReader reader = new StringReader(jobId); 
			EndpointReferenceType epr = (EndpointReferenceType) ObjectDeserializer.
			deserialize( 
					new InputSource(reader), 
					EndpointReferenceType.class); 
			
			// Get job stub
			ManagedJobPortType jobPort = ManagedJobClientHelper.getPort(epr);
			
			return null; 
		} catch (Exception e) {
			throw new Exception("Wrong format for jobid"); 
		}
	}
	
	/**
	 * Cancels the job by destroying the WS-Resource representing it. 
	 */
	public void cancelJob(String jobId) {
		
		try { 
		
			StringReader reader = new StringReader(jobId); 
			EndpointReferenceType epr = (EndpointReferenceType) ObjectDeserializer.
			deserialize( 
					new InputSource(reader), 
					EndpointReferenceType.class); 
			
			// Get job stub
			ManagedJobPortType jobPort = ManagedJobClientHelper.getPort(epr);
			
			// Destroy job resource -> cancel job
			jobPort.destroy(new Destroy()); 
		
		} catch (Exception e) {
			logger.error("Error cancelling job " + jobId);
		}
		
	}
	
}
